if length(dbstack)==1
  clear; close all
  LN=[10:20:100,140];
  u=@(x,y,z)fc_vfemp1.addon.surface.samples.uxyz01(x,y,z);
  f=@(x,y,z)fc_vfemp1.addon.surface.samples.fxyz01(x,y,z);
  Fmap=@(x,y,z)fc_vfemp1.addon.surface.samples.Fmapxyz01(x,y,z);
  gradSu=@(x,y,z)fc_vfemp1.addon.surface.samples.gradSuxyz01(x,y,z)
  c={@(x,y,z) cos(x), @(x,y,z) sin(y), @(x,y,z) 2+x.*y.*z};
  a0=@(x,y,z) 1+x.^2;
  gD=[];gN=[];gR=[]; % automaticaly compute with exact solution
  alpha=@(x,y,z) 1+z.^2;
end

set_sBVP=@(N) fc_vfemp1.addon.surface.samples.set_sBVP02_halfsphere4surf_map( ...
            N,'u',u,'f',f,'Fmap',Fmap,'a0',a0,'gradSu',gradSu,'c',c, ...
            'alpha',alpha,'gD',gD,'gN',gN,'gR',gR);

[H,EH1,EL2]=fc_vfemp1.addon.surface.samples.sBVP_order(LN,set_sBVP);

fc_vfemp1.addon.surface.samples.plotSBVPorder(H,EL2,EH1)
